package de.fraunhofer.iem.dataprovider.tools.gitlab.service

import de.fraunhofer.iem.dataprovider.gitlab.service.OpenCodeGitlabApi
import de.fraunhofer.iem.dataprovider.repository.dto.RepositoryDetailsDto
import de.fraunhofer.iem.dataprovider.tool.dto.CreateToolDto
import de.fraunhofer.iem.dataprovider.tool.enumeration.ToolType
import de.fraunhofer.iem.dataprovider.tool.service.ToolService
import org.springframework.stereotype.Service

@Service
class RepositoryDetailsService(private val openCodeGitlabApi: OpenCodeGitlabApi, private val toolService: ToolService) {

    suspend fun getRepositoryDetails(projectId: Long): RepositoryDetailsDto {
        return openCodeGitlabApi.getRepositoryDetails(projectId)
    }

    suspend fun getRepositoryLanguages(projectId: Long): Map<String, Float> {
        return openCodeGitlabApi.getRepositoryLanguages(projectId)
    }

    fun getToolDto(): CreateToolDto {
        return CreateToolDto("Gitlab API", type = ToolType.Gitlab)
    }
}
